Subject: Re: Compiling applications using cross compiler packs libc

From: Alessandro Rubini <[email-masked]>
Date: Mon, 12 May 2008 12:27:28 +0200

> the glibc is also packed
> up as a part of application though I never make any calls to the glibc
> libraries.

As already pointed out by Marco Stornelli, you shouldn't get concerned
about glibc as it's a standard library and you expect it to be part of
the target system (again, use uclibc if size is an issue).

If however you really want to build an application without library, you
should change the linker script. The kernel is not calling main() directly,
there is some initial setup involved, and this is where glibc (or uclibc)
is involved, even if you do no library calls yourself.

Look at a boot loader, or at the kernel, and then to proper
documentation, to find how to provide your own linker script to avoid
a library. But I doubt you really need it.

/alessandro